Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 259045 - net-print/gnome-cups-manager-0.33: buffer overflow when running (_FORTIFY_SOURCE)
Summary: net-print/gnome-cups-manager-0.33: buffer overflow when running (_FORTIFY_SOU...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-02-15 02:42 UTC by Tiago Santos
Modified: 2009-08-18 16:58 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
updated 020_all_check-lpadmin-member.patch (020_all_check-lpadmin-member.patch,906 bytes, patch)
2009-04-16 15:07 UTC, Sascha Hlusiak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tiago Santos 2009-02-15 02:42:43 UTC
gnome-cups-manager fails to start, when running from a console window, it returns a buffer overflow error

Reproducible: Always

Steps to Reproduce:
1. Run gnome-cups-manager

Actual Results:  
$ gnome-cups-manager 
*** buffer overflow detected ***: gnome-cups-manager terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x37)[0x7f0af883dbf7]
/lib/libc.so.6[0x7f0af883b9d0]
/lib/libc.so.6[0x7f0af883d3ba]
/usr/lib64/libgnomecupsui-1.0.so.1(gnome_cups_can_admin+0x2f)[0x7f0b03a6d99f]
gnome-cups-manager[0x41079a]
gnome-cups-manager[0x410a9e]
/usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x16d)[0x7f0af91cc1cd]
/usr/lib64/libbonobo-2.so.0(bonobo_closure_invoke_va_list+0x2ad)[0x7f0afffe1f8d]
/usr/lib64/libbonobo-2.so.0(bonobo_closure_invoke+0x293)[0x7f0afffe2273]
/usr/lib64/libbonobo-2.so.0[0x7f0afffcffb9]
/usr/lib64/libbonobo-2.so.0(Bonobo_Listener_event+0x5b)[0x7f0afffe924b]
gnome-cups-manager[0x40d5f5]
/lib/libc.so.6(__libc_start_main+0xe6)[0x7f0af87775c6]
gnome-cups-manager[0x408619]
======= Memory map: ========
00400000-00416000 r-xp 00000000 08:02 784064                             /usr/bin/gnome-cups-manager
00616000-00617000 r--p 00016000 08:02 784064                             /usr/bin/gnome-cups-manager
00617000-00618000 rw-p 00017000 08:02 784064                             /usr/bin/gnome-cups-manager
01b0c000-01f20000 rw-p 01b0c000 00:00 0                                  [heap]
4026a000-4026c000 rwxp 00000000 00:0e 1901                               /dev/zero
7f0aec000000-7f0aec021000 rw-p 7f0aec000000 00:00 0 
7f0aec021000-7f0af0000000 ---p 7f0aec021000 00:00 0 
7f0af22c5000-7f0af22c9000 r-xp 00000000 08:02 871925                     /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
7f0af22c9000-7f0af24c9000 ---p 00004000 08:02 871925                     /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
7f0af24c9000-7f0af24ca000 r--p 00004000 08:02 871925                     /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
7f0af24ca000-7f0af24cb000 rw-p 00005000 08:02 871925                     /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
7f0af24cb000-7f0af24da000 r-xp 00000000 08:02 811982                     /lib64/libbz2.so.1.0.5
7f0af24da000-7f0af26d9000 ---p 0000f000 08:02 811982                     /lib64/libbz2.so.1.0.5
7f0af26d9000-7f0af26da000 r--p 0000e000 08:02 811982                     /lib64/libbz2.so.1.0.5
7f0af26da000-7f0af26db000 rw-p 0000f000 08:02 811982                     /lib64/libbz2.so.1.0.5
7f0af26db000-7f0af2714000 r-xp 00000000 08:02 872138                     /usr/lib64/libcroco-0.6.so.3.0.1
7f0af2714000-7f0af2914000 ---p 00039000 08:02 872138                     /usr/lib64/libcroco-0.6.so.3.0.1
7f0af2914000-7f0af2915000 r--p 00039000 08:02 872138                     /usr/lib64/libcroco-0.6.so.3.0.1
7f0af2915000-7f0af2918000 rw-p 0003a000 08:02 872138                     /usr/lib64/libcroco-0.6.so.3.0.1
7f0af2918000-7f0af2934000 r-xp 00000000 08:02 456617                     /usr/lib64/gio/modules/libgvfsdbus.so
7f0af2934000-7f0af2b33000 ---p 0001c000 08:02 456617                     /usr/lib64/gio/modules/libgvfsdbus.so
7f0af2b33000-7f0af2b34000 r--p 0001b000 08:02 456617                     /usr/lib64/gio/modules/libgvfsdbus.so
7f0af2b34000-7f0af2b35000 rw-p 0001c000 08:02 456617                     /usr/lib64/gio/modules/libgvfsdbus.so
7f0af2b35000-7f0af2b45000 r-xp 00000000 08:02 91504                      /usr/lib64/libgvfscommon.so.0.0.0
7f0af2b45000-7f0af2d45000 ---p 00010000 08:02 91504                      /usr/lib64/libgvfscommon.so.0.0.0
7f0af2d45000-7f0af2d46000 r--p 00010000 08:02 91504                      /usr/lib64/libgvfscommon.so.0.0.0
7f0af2d46000-7f0af2d47000 rw-p 00011000 08:02 91504                      /usr/lib64/libgvfscommon.so.0.0.0
7f0af2e73000-7f0af2ed3000 rw-s 00000000 00:07 1802264                    /SYSV00000000 (deleted)
7f0af2ed3000-7f0af2f0d000 r-xp 00000000 08:02 1012354                    /usr/lib64/libgsf-1.so.114.0.11
7f0af2f0d000-7f0af310d000 ---p 0003a000 08:02 1012354                    /usr/lib64/libgsf-1.so.114.0.11
7f0af310d000-7f0af3110000 r--p 0003a000 08:02 1012354                    /usr/lib64/libgsf-1.so.114.0.11
7f0af3110000-7f0af3112000 rw-p 0003d000 08:02 1012354                    /usr/lib64/libgsf-1.so.114.0.11
7f0af3112000-7f0af3113000 rw-p 7f0af3112000 00:00 0 
7f0af3113000-7f0af3147000 r-xp 00000000 08:02 212102                     /usr/lib64/librsvg-2.so.2.22.3
7f0af3147000-7f0af3347000 ---p 00034000 08:02 212102                     /usr/lib64/librsvg-2.so.2.22.3
7f0af3347000-7f0af3348000 r--p 00034000 08:02 212102                     /usr/lib64/librsvg-2.so.2.22.3
7f0af3348000-7f0af3349000 rw-p 00035000 08:02 212102                     /usr/lib64/librsvg-2.so.2.22.3
7f0af336a000-7f0af336c000 r-xp 00000000 08:02 291991                     /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
7f0af336c000-7f0af356b000 ---p 00002000 08:02 291991                     /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
7f0af356b000-7f0af356c000 r--p 00001000 08:02 291991                     /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
7f0af356c000-7f0af356d000 rw-p 00002000 08:02 291991                     /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
7f0af356d000-7f0af3584000 r--s 00000000 08:02 377143                     /usr/share/mime/mime.cache
7f0af3584000-7f0af37f6000 r--p 00000000 08:02 377012                     /usr/share/icons/hicolor/icon-theme.cache
7f0af37f6000-7f0af3800000 r--p 00000000 08:02 378815                     /usr/share/locale/pt_BR/LC_MESSAGES/glib20.mo
7f0af3800000-7f0af38a6000 r--p 00000000 08:02 518362                     /usr/share/fonts/TTF/tahoma.ttf
7f0af38a6000-7f0af38a8000 r-xp 00000000 08:02 547079                     /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
7f0af38a8000-7f0af3aa7000 ---p 00002000 08:02 547079                     /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
7f0af3aa7000-7f0af3aa8000 r--p 00001000 08:02 547079                     /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
7f0af3aa8000-7f0af3aa9000 rw-p 00002000 08:02 547079                     /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
7f0af3aa9000-7f0af3ab1000 r--s 00000000 08:02 528378                     /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86-64.cache-2
7f0af3ab1000-7f0af3ab4000 r--s 00000000 08:02 528104                     /var/cache/fontconfig/76fa4b957c916922374347f144bde9da-x86-64.cache-2
7f0af3ab4000-7f0af3bd4000 r--s 00000000 08:02 528374                     /var/cache/fontconfig/f6b893a7224233d96cb72fd88691c0b4-x86-64.cache-2
7f0af3bd4000-7f0af3c30000 r--s 00000000 08:02 528375                     /var/cache/fontconfig/17090aa38d5c6f09fb8c5c354938f1d7-x86-64.cache-2
7f0af3c30000-7f0af3c8c000 r--s 00000000 08:02 528373                     /var/cache/fontconfig/df311e82a1a24c41a75c2c930223552e-x86-64.cache-2
7f0af3c8c000-7f0af3c8f000 r-xp 00000000 08:02 1070253                    /usr/lib64/libglade/2.0/libbonobo.so
7f0af3c8f000-7f0af3e8e000 ---p 00003000 08:02 1070253                    /usr/lib64/libglade/2.0/libbonobo.so
7f0af3e8e000-7f0af3e8f000 r--p 00002000 08:02 1070253                    /usr/lib64/libglade/2.0/libbonobo.so
7f0af3e8f000-7f0af3e90000 rw-p 00003000 08:02 1070253                    /usr/lib64/libglade/2.0/libbonobo.so
7f0af3e90000-7f0af3e97000 r-xp 00000000 08:02 1072333                    /usr/lib64/libglade/2.0/libgnome.so
7f0af3e97000-7f0af4097000 ---p 00007000 08:02 1072333                    /usr/lib64/libglade/2.0/libgnome.so
7f0af4097000-7f0af4099000 r--p 00007000 08:02 1072333                    /usr/lib64/libglade/2.0/libgnome.so
7f0af4099000-7f0af409a000 rw-p 00009000 08:02 1072333                    /usr/lib64/libglade/2.0/libgnome.so
7f0af409a000-7f0af409c000 r-xp 00000000 08:02 737699                     /usr/lib64/gconv/ISO8859-1.so
7f0af409c000-7f0af429b000 ---p 00002000 08:02 737699                     /usr/lib64/gconv/ISO8859-1.so
7f0af429b000-7f0af429c000 r--p 00001000 08:02 737699                     /usr/lib64/gconv/ISO8859-1.so
7f0af429c000-7f0af429d000 rw-p 00002000 08:02 737699                     /usr/lib64/gconv/ISO8859-1.so
7f0af429d000-7f0af429e000 ---p 7f0af429d000 00:00 0 
7f0af429e000-7f0af4a9e000 rwxp 7f0af429e000 00:00 0 
7f0af4a9e000-7f0af4aa7000 r-xp 00000000 08:02 211125                     /usr/lib64/libltdl.so.7.2.0
7f0af4aa7000-7f0af4ca6000 ---p 00009000 08:02 211125                     /usr/lib64/libltdl.so.7.2.0
7f0af4ca6000-7f0af4ca7000 r--p 00008000 08:02 211125                     /usr/lib64/libltdl.so.7.2.0
7f0af4ca7000-7f0af4ca8000 rw-p 00009000 08:02 211125                     /usr/lib64/libltdl.so.7.2.0
7f0af4ca8000-7f0af4cad000 r-xp 00000000 08:02 528548                     /usr/lib64/libogg.so.0.5.3
7f0af4cad000-7f0af4eac000 ---p 00005000 08:02 528548                     /usr/lib64/libogg.so.0.5.3
7f0af4eac000-7f0af4ead000 r--p 00004000 08:02 528548                     /usr/lib64/libogg.so.0.5.3
7f0af4ead000-7f0af4eae000 rw-p 00005000 08:02 528548                     /usr/lib64/libogg.so.0.5.3
7f0af4eae000-7f0af4ed5000 r-xp 00000000 08:02 211813


$ emerge --info
Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r1, 2.6.28-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r1-x86_64-AMD_Turion-tm-_64_X2_Mobile_Technology_TL-52-with-glibc2.2.5
Timestamp of tree: Sun, 15 Feb 2009 01:45:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.7
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=k8 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages metadata-transfer parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.las.ic.unicamp.br/pub/gentoo/ ftp://mirrors.localhost.net.ar/pub/mirrors/gentoo"
LANG="pt_BR.UTF-8"
LC_ALL="pt_BR.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="pt_BR pt"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/dev/shm"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.samerica.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac aalib acl acpi alsa amd64 apache2 audiofile avahi bash-completion berkdb bzip2 cairo cddb cdparanoia cdr cli cracklib crypt css cups dbus djvu dri dv dvd dvdr dvdread eds emboss encode evo exif fam ffmpeg flac fontconfig foomaticdb fortran gd gdbm gif gnome gnome-keyring gphoto2 gpm gstreamer gtk guile gzip hal hddtemp iconv icq ieee1394 imagemagick imlib ipv6 isdnlog java javascript joystick jpeg jpeg2k kerberos lame lcms ldap libnotify libsamplerate lm_sensors lzo mad midi mikmod mime mmx mng mp3 mpeg mplayer msn mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp pam pcmcia pcre pdf perl php png ppds pppd python qt3support quicktime rdesktop readline realmedia reflection samba sdl session smp sndfile speex spell spl sse sse2 ssl startup-notification svg sysfs tcpd theora threads tiff truetype unicode usb v4l v4l2 vcd vnc vorbis wavpack wifi wmf wxwindows x264 xcb xcomposite xft xinerama xml xorg xpm xulrunner xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2 sony_dscf1 sony_dscf55" ELIBC="glibc" INPUT_DEVICES="synaptics keyboard mouse joystick evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pt_BR pt" USERLAND="GNU" VIDEO_CARDS="vesa nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Rafał Mużyło 2009-02-15 03:49:22 UTC
Did you try recompiling it ?
Comment 2 Tiago Santos 2009-02-15 03:52:24 UTC
i recompiled it, libbonobo, libbonoboui and libglade, no luck
Comment 3 Eric N. Vander Weele 2009-02-16 21:23:39 UTC
I can also confirm this bug.  I am running ~x86.


** (gnome-cups-manager:18312): WARNING **: IPP request failed with status 1030

** (gnome-cups-manager:18312): WARNING **: IPP request failed with status 1030
*** buffer overflow detected ***: gnome-cups-manager terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb6f3e048]
/lib/libc.so.6[0xb6f3c090]
/lib/libc.so.6[0xb6f3d803]
/usr/lib/libgnomecupsui-1.0.so.1(gnome_cups_can_admin+0x4a)[0xb7fea0af]
gnome-cups-manager[0x8056881]
gnome-cups-manager[0x8056c56]
/usr/lib/libbonobo-2.so.0(bonobo_marshal_VOID__STRING_BOXED_BOXED+0x8d)[0xb7b12c9a]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x120)[0xb7074854]
/usr/lib/libbonobo-2.so.0(bonobo_closure_invoke_va_list+0x2d2)[0xb7b11cb8]
/usr/lib/libbonobo-2.so.0(bonobo_closure_invoke+0x1f6)[0xb7b11eee]
/usr/lib/libbonobo-2.so.0[0xb7b00226]
/usr/lib/libbonobo-2.so.0(_ORBIT_skel_small_Bonobo_Listener_event+0x28)[0xb7b13af5]
/usr/lib/libORBit-2.so.0(ORBit_c_stub_invoke+0x117)[0xb7aa0af1]
/usr/lib/libbonobo-2.so.0(Bonobo_Listener_event+0x7b)[0xb7b1afbb]
gnome-cups-manager[0x80533f9]
/lib/libc.so.6(__libc_start_main+0xe5)[0xb6e70725]
gnome-cups-manager[0x804e6f1]
======= Memory map: ========
08048000-0805a000 r-xp 00000000 08:03 2435348    /usr/bin/gnome-cups-manager
0805a000-0805b000 r--p 00012000 08:03 2435348    /usr/bin/gnome-cups-manager
0805b000-0805c000 rw-p 00013000 08:03 2435348    /usr/bin/gnome-cups-manager
08dd1000-08f1c000 rw-p 08dd1000 00:00 0          [heap]
b0ff9000-b0ffa000 ---p b0ff9000 00:00 0 
b0ffa000-b17fa000 rw-p b0ffa000 00:00 0 
b17fa000-b17fb000 ---p b17fa000 00:00 0 
b17fb000-b1ffb000 rw-p b17fb000 00:00 0 
b1ffb000-b1ffc000 ---p b1ffb000 00:00 0 
b1ffc000-b27fc000 rw-p b1ffc000 00:00 0 
b27fc000-b27fd000 ---p b27fc000 00:00 0 
b27fd000-b2ffd000 rw-p b27fd000 00:00 0 
b2ffd000-b2ffe000 ---p b2ffd000 00:00 0 
b2ffe000-b37fe000 rw-p b2ffe000 00:00 0 
b37fe000-b37ff000 ---p b37fe000 00:00 0 
b37ff000-b3fff000 rw-p b37ff000 00:00 0 
b3fff000-b4000000 ---p b3fff000 00:00 0 
b4000000-b4800000 rw-p b4000000 00:00 0 
b4800000-b4821000 rw-p b4800000 00:00 0 
b4821000-b4900000 ---p b4821000 00:00 0 
b4942000-b49a2000 rw-s 00000000 00:07 2261014    /SYSV00000000 (deleted)
b49a2000-b49a3000 ---p b49a2000 00:00 0 
b49a3000-b51a3000 rw-p b49a3000 00:00 0 
b51a3000-b51a4000 ---p b51a3000 00:00 0 
b51a4000-b59a4000 rw-p b51a4000 00:00 0 
b59a4000-b59ba000 r--s 00000000 08:03 1401560    /usr/share/mime/mime.cache
b59ba000-b59c7000 r-xp 00000000 08:03 2508315    /usr/lib/libgvfscommon.so.0.0.0
b59c7000-b59c8000 r--p 0000d000 08:03 2508315    /usr/lib/libgvfscommon.so.0.0.0
b59c8000-b59c9000 rw-p 0000e000 08:03 2508315    /usr/lib/libgvfscommon.so.0.0.0
b59d9000-b59f0000 r-xp 00000000 08:03 2507232    /usr/lib/gio/modules/libgvfsdbus.so
b59f0000-b59f1000 r--p 00017000 08:03 2507232    /usr/lib/gio/modules/libgvfsdbus.so
b59f1000-b59f2000 rw-p 00018000 08:03 2507232    /usr/lib/gio/modules/libgvfsdbus.so
b59f2000-b5bd9000 r--p 00000000 08:03 1303357    /usr/share/icons/hicolor/icon-theme.cache
b5bd9000-b6243000 r--p 00000000 08:03 1343996    /usr/share/icons/gnome/icon-theme.cache
b6243000-b6266000 r--p 00000000 08:03 2253513    /usr/share/fonts/corefonts/verdana.ttf
b6266000-b6268000 r-xp 00000000 08:03 2548736    /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b6268000-b6269000 r--p 00001000 08:03 2548736    /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b6269000-b626a000 rw-p 00002000 08:03 2548736    /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b626a000-b6270000 r--s 00000000 08:03 2360533    /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86.cache-2
b6270000-b6275000 r--s 00000000 08:03 2360695    /var/cache/fontconfig/4460665c0f3e88acdd4c85aa2f409b99-x86.cache-2
b6275000-b6285000 r--s 00000000 08:03 2359321    /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-x86.cache-2
b6285000-b6298000 r--s 00000000 08:03 2360687    /var/cache/fontconfig/4b5cf4386f1cde02a336ba961b4ac82d-x86.cache-2
b6298000-b629d000 r--s 00000000 08:03 2360686    /var/cache/fontconfig/d62e99ef547d1d24cdb1bd22ec1a2976-x86.cache-2
b629d000-b62a0000 r--s 00000000 08:03 2359907    /var/cache/fontconfig/f6b893a7224233d96cb72fd88691c0b4-x86.cache-2
b62a0000-b62a5000 r--s 00000000 08:03 2360681    /var/cache/fontconfig/f349e9996a5320f6dd491cedd2b1f964-x86.cache-2
b62a5000-b62e5000 r--s 00000000 08:03 2359324    /var/cache/fontconfig/17090aa38d5c6f09fb8c5c354938f1d7-x86.cache-2
b62e5000-b6325000 r--s 00000000 08:03 2359315    /var/cache/fontconfig/df311e82a1a24c41a75c2c930223552e-x86.cache-2
b6325000-b6326000 ---p b6325000 00:00 0 
b6326000-b6c27000 rw-p b6326000 00:00 0 
b6c27000-b6c2e000 r-xp 00000000 08:03 2663592    /usr/lib/libltdl.so.7.2.0
b6c2e000-b6c2f000 ---p 00007000 08:03 2663592    /usr/lib/libltdl.so.7.2.0
b6c2f000-b6c30000 r--p 00007000 08:03 2663592    /usr/lib/libltdl.so.7.2.0
b6c30000-b6c31000 rw-p 00008000 08:03 2663592    /usr/lib/libltdl.so.7.2.0
b6c31000-b6c35000 r-xp 00000000 08:03 2149153    /usr/lib/libogg.so.0.5.3
b6c35000-b6c36000 r--p 00003000 08:03 2149153    /usr/lib/libogg.so.0.5.3
b6c36000-b6c37000 rw-p 00004000 08:03 2149153    /usr/lib/libogg.so.0.5.3
b6c37000-b6c59000 r-xp 00000000 08:03 2261087    /usr/lib/libvorbis.so.0.4.1
b6c59000-b6c5a000 r--p 00021000 08:03 2261087    /usr/lib/libvorbis.so.0.4.1
b6c5a000-b6c68000 rw-p 00022000 08:03 2261087    /usr/lib/libvorbis.so.0.4.1
b6c68000-b6c6f000 r-xp 00000000 08:03 2261866    /usr/lib/libvorbisfile.so.3.3.0
b6c6f000-b6c70000 r--p 00006000 08:03 2261866    /usr/lib/libvorbisfile.so.3.3.0
b6c70000-b6c71000 rw-p 00007000 08:03 2261866    /usr/lib/libvorbisfile.so.3.3.0
b6c71000-b6c7d000 r-xp 00000000 08:03 2369198    /usr/lib/libcanberra.so.0.1.4
b6c7d000-b6c7e000 r--p 0000b000 08:03 2369198    /usr/lib/libcanberra.so.0.1.4
b6c7e000-b6c7f000 rw-p 0000c000 08:03 2369198    /usr/lib/libcanberra.so.0.1.4
b6c7f000-b6c85000 r-xp 00000000 08:03 2320408    /usr/lib/libglade/2.0/libgnome.so
b6c85000-b6c86000 ---p 00006000 08:03 2320408    /usr/lib/libglade/2.0/libgnome.so
b6c86000-b6c87000 r--p 00006000 08:03 2320408    /usr/lib/libglade/2.0/libgnome.so
b6c87000-b6c88000 rw-p 00007000 08:03 2320408    /usr/lib/libglade/2.0/libgnome.so
b6c88000-b6c8f000 r--s 00000000 08:03 1402197    /usr/lib/gconv/gconv-modules.cache
b6c8f000-b6cb5000 r-xp 00000000 08:03 2230720    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b6cb5000-b6cb6000 r--p 00025000 08:03 2230720    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b6cb6000-b6cb7000 rw-p 00026000 08:03 2230720    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b6cb7000-b6cc9000 r-xp 00000000 08:03 2245674    /usr/lib/libelf-0.131.so
b6cc9000-b6cca000 r--p 00011000 08:03 2245674    /usr/lib/libelf-0.131.so
b6cca000-b6ccb000 rw-p 00012000 08:03 2245674    /usr/lib/libelf-0.131.so
b6ccb000-b6cce000 r-xp 00000000 08:03 2318810    /usr/lib/libglade/2.0/libbonobo.so
b6cce000-b6ccf000 r--p 00002000 08:03 2318810    /usr/lib/libglade/2.0/libbonobo.so
b6ccf000-b6cd0000 rw-p 00003000 08:03 2318810    /usr/lib/libglade/2.0/libbonobo.so
b6cd0000-b6cd3000 r-xp 00000000 08:03 2369191    /usr/lib/libcanberra-gtk.so.0.0.4
b6cd3000-b6cd4000 r--p 00002000 08:03 2369191    /usr/lib/libcanberra-gtk.so.0.0.4
b6cd4000-b6cd5000 rw-p 00003000 08:03 2369191    /usr/lib/libcanberra-gtk.so.0.0.4
b6cd5000-b6cd9000 r-xp 00000000 08:03 2369200    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
b6cd9000-b6cda000 r--p 00003000 08:03 2369200    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
b6cda000-b6cdb000 rw-p 00004000 08:03 2369200    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
b6cdb000-b6d29000 r-xp 00000000 08:03 2566071    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
b6d29000-b6d2a000 r--p 0004d000 08:03 2566071    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
b6d2a000-b6d2b000 rw-p 0004e000 08:03 2566071    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
b6d2b000-b6d34000 r-xp 00000000 08:03 2174221    /lib/libnss_files-2.9.so
b6d34000-b6d35000 r--p 00008000 08:03 2174221    /lib/libnss_files-2.9.so
b6d35000-b6d36000 rw-p 00009000 08:03 2174221    /lib/libnss_files-2.9.so
b6d36000-b6d3f000 r-xp 00000000 08:03 2174243    /lib/libnss_nis-2.9.so
b6d3f000-b6d40000 r--p 00008000 08:03 2174243    /lib/libnss_nis-2.9.so
b6d40000-b6d41000 rw-p 00009000 08:03 2174243    /lib/libnss_nis-2.9.so
b6d41000-b7eb6bea4-7a7a-2803-00966e3b-7bdcb815 is dumped
Comment 4 Eric N. Vander Weele 2009-02-18 19:32:21 UTC
When I compile with -g and run gnome-cups-manager, it just works :/.

So just to convince myself, without -g the same problem occurs.  Recompiling with -g makes it work again!  So that is somewhat of a workaround.
Comment 5 Rafał Mużyło 2009-02-20 14:20:25 UTC
Be a bit more specific.
Many things that could be making that abort happen
are guarded in the headers not only by __USE_FORTIFY_LEVEL,
but also by __OPTIMIZE__, so unless you've meant
'-g -O2' that doesn't really narrow things much.
Comment 6 Eric N. Vander Weele 2009-02-20 20:49:31 UTC
Sorry about that.  So everything on my system has been compiled with what is shown below.  I just added the '-g' when I emerged the gnome-cups-manager and it seems to work for the most part.  I also get this additional message when trying to add a new printer:

"Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)"


However, it will still let me add a printer and it prints just fine.



Portage 2.1.6.7 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r1-i686-Genuine_Intel-R-_CPU_T2500_@_2.00GHz-with-glibc2.0
Timestamp of tree: Fri, 20 Feb 2009 19:45:02 +0000
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.7
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=prescott -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://ftp.gtlib.gatech.edu/pub/gentoo http://www.gtlib.gatech.edu/pub/gentoo "
LANG="C"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X acl acpi alsa avahi bash-completion berkdb bindist bzip2 cairo cli cracklib crypt cups dbus dri esd fortran gdbm gnome gpm gtk hal iconv isdnlog mdnsresponder-compat midi mudflap ncurses networkmanager nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd truetype unicode vim-syntax wifi x86 xinerama xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" NETBEANS_MODULES="nb java ide harness websvccommon" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Jeremy 2009-02-24 20:36:04 UTC
I too am experiencing the same behavior... running gnome-cups-manager produces buffer overflow; re-compiling with CFLAGS="-g" and re-running gnome-cups-manager starts as normal and functions as normal.  

(In reply to comment #0)
> gnome-cups-manager fails to start, when running from a console window, it
> returns a buffer overflow error
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 1. Run gnome-cups-manager
> 
> Actual Results:  
> $ gnome-cups-manager 
> *** buffer overflow detected ***: gnome-cups-manager terminated
> ======= Backtrace: =========
> /lib/libc.so.6(__fortify_fail+0x37)[0x7f0af883dbf7]
> /lib/libc.so.6[0x7f0af883b9d0]
> /lib/libc.so.6[0x7f0af883d3ba]
> /usr/lib64/libgnomecupsui-1.0.so.1(gnome_cups_can_admin+0x2f)[0x7f0b03a6d99f]
> gnome-cups-manager[0x41079a]
> gnome-cups-manager[0x410a9e]
> /usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x16d)[0x7f0af91cc1cd]
> /usr/lib64/libbonobo-2.so.0(bonobo_closure_invoke_va_list+0x2ad)[0x7f0afffe1f8d]
> /usr/lib64/libbonobo-2.so.0(bonobo_closure_invoke+0x293)[0x7f0afffe2273]
> /usr/lib64/libbonobo-2.so.0[0x7f0afffcffb9]
> /usr/lib64/libbonobo-2.so.0(Bonobo_Listener_event+0x5b)[0x7f0afffe924b]
> gnome-cups-manager[0x40d5f5]
> /lib/libc.so.6(__libc_start_main+0xe6)[0x7f0af87775c6]
> gnome-cups-manager[0x408619]
> ======= Memory map: ========
> 00400000-00416000 r-xp 00000000 08:02 784064                            
> /usr/bin/gnome-cups-manager
> 00616000-00617000 r--p 00016000 08:02 784064                            
> /usr/bin/gnome-cups-manager
> 00617000-00618000 rw-p 00017000 08:02 784064                            
> /usr/bin/gnome-cups-manager
> 01b0c000-01f20000 rw-p 01b0c000 00:00 0                                  [heap]
> 4026a000-4026c000 rwxp 00000000 00:0e 1901                              
> /dev/zero
> 7f0aec000000-7f0aec021000 rw-p 7f0aec000000 00:00 0 
> 7f0aec021000-7f0af0000000 ---p 7f0aec021000 00:00 0 
> 7f0af22c5000-7f0af22c9000 r-xp 00000000 08:02 871925                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
> 7f0af22c9000-7f0af24c9000 ---p 00004000 08:02 871925                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
> 7f0af24c9000-7f0af24ca000 r--p 00004000 08:02 871925                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
> 7f0af24ca000-7f0af24cb000 rw-p 00005000 08:02 871925                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
> 7f0af24cb000-7f0af24da000 r-xp 00000000 08:02 811982                    
> /lib64/libbz2.so.1.0.5
> 7f0af24da000-7f0af26d9000 ---p 0000f000 08:02 811982                    
> /lib64/libbz2.so.1.0.5
> 7f0af26d9000-7f0af26da000 r--p 0000e000 08:02 811982                    
> /lib64/libbz2.so.1.0.5
> 7f0af26da000-7f0af26db000 rw-p 0000f000 08:02 811982                    
> /lib64/libbz2.so.1.0.5
> 7f0af26db000-7f0af2714000 r-xp 00000000 08:02 872138                    
> /usr/lib64/libcroco-0.6.so.3.0.1
> 7f0af2714000-7f0af2914000 ---p 00039000 08:02 872138                    
> /usr/lib64/libcroco-0.6.so.3.0.1
> 7f0af2914000-7f0af2915000 r--p 00039000 08:02 872138                    
> /usr/lib64/libcroco-0.6.so.3.0.1
> 7f0af2915000-7f0af2918000 rw-p 0003a000 08:02 872138                    
> /usr/lib64/libcroco-0.6.so.3.0.1
> 7f0af2918000-7f0af2934000 r-xp 00000000 08:02 456617                    
> /usr/lib64/gio/modules/libgvfsdbus.so
> 7f0af2934000-7f0af2b33000 ---p 0001c000 08:02 456617                    
> /usr/lib64/gio/modules/libgvfsdbus.so
> 7f0af2b33000-7f0af2b34000 r--p 0001b000 08:02 456617                    
> /usr/lib64/gio/modules/libgvfsdbus.so
> 7f0af2b34000-7f0af2b35000 rw-p 0001c000 08:02 456617                    
> /usr/lib64/gio/modules/libgvfsdbus.so
> 7f0af2b35000-7f0af2b45000 r-xp 00000000 08:02 91504                     
> /usr/lib64/libgvfscommon.so.0.0.0
> 7f0af2b45000-7f0af2d45000 ---p 00010000 08:02 91504                     
> /usr/lib64/libgvfscommon.so.0.0.0
> 7f0af2d45000-7f0af2d46000 r--p 00010000 08:02 91504                     
> /usr/lib64/libgvfscommon.so.0.0.0
> 7f0af2d46000-7f0af2d47000 rw-p 00011000 08:02 91504                     
> /usr/lib64/libgvfscommon.so.0.0.0
> 7f0af2e73000-7f0af2ed3000 rw-s 00000000 00:07 1802264                   
> /SYSV00000000 (deleted)
> 7f0af2ed3000-7f0af2f0d000 r-xp 00000000 08:02 1012354                   
> /usr/lib64/libgsf-1.so.114.0.11
> 7f0af2f0d000-7f0af310d000 ---p 0003a000 08:02 1012354                   
> /usr/lib64/libgsf-1.so.114.0.11
> 7f0af310d000-7f0af3110000 r--p 0003a000 08:02 1012354                   
> /usr/lib64/libgsf-1.so.114.0.11
> 7f0af3110000-7f0af3112000 rw-p 0003d000 08:02 1012354                   
> /usr/lib64/libgsf-1.so.114.0.11
> 7f0af3112000-7f0af3113000 rw-p 7f0af3112000 00:00 0 
> 7f0af3113000-7f0af3147000 r-xp 00000000 08:02 212102                    
> /usr/lib64/librsvg-2.so.2.22.3
> 7f0af3147000-7f0af3347000 ---p 00034000 08:02 212102                    
> /usr/lib64/librsvg-2.so.2.22.3
> 7f0af3347000-7f0af3348000 r--p 00034000 08:02 212102                    
> /usr/lib64/librsvg-2.so.2.22.3
> 7f0af3348000-7f0af3349000 rw-p 00035000 08:02 212102                    
> /usr/lib64/librsvg-2.so.2.22.3
> 7f0af336a000-7f0af336c000 r-xp 00000000 08:02 291991                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
> 7f0af336c000-7f0af356b000 ---p 00002000 08:02 291991                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
> 7f0af356b000-7f0af356c000 r--p 00001000 08:02 291991                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
> 7f0af356c000-7f0af356d000 rw-p 00002000 08:02 291991                    
> /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
> 7f0af356d000-7f0af3584000 r--s 00000000 08:02 377143                    
> /usr/share/mime/mime.cache
> 7f0af3584000-7f0af37f6000 r--p 00000000 08:02 377012                    
> /usr/share/icons/hicolor/icon-theme.cache
> 7f0af37f6000-7f0af3800000 r--p 00000000 08:02 378815                    
> /usr/share/locale/pt_BR/LC_MESSAGES/glib20.mo
> 7f0af3800000-7f0af38a6000 r--p 00000000 08:02 518362                    
> /usr/share/fonts/TTF/tahoma.ttf
> 7f0af38a6000-7f0af38a8000 r-xp 00000000 08:02 547079                    
> /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
> 7f0af38a8000-7f0af3aa7000 ---p 00002000 08:02 547079                    
> /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
> 7f0af3aa7000-7f0af3aa8000 r--p 00001000 08:02 547079                    
> /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
> 7f0af3aa8000-7f0af3aa9000 rw-p 00002000 08:02 547079                    
> /usr/lib64/pango/1.6.0/modules/pango-basic-fc.so
> 7f0af3aa9000-7f0af3ab1000 r--s 00000000 08:02 528378                    
> /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86-64.cache-2
> 7f0af3ab1000-7f0af3ab4000 r--s 00000000 08:02 528104                    
> /var/cache/fontconfig/76fa4b957c916922374347f144bde9da-x86-64.cache-2
> 7f0af3ab4000-7f0af3bd4000 r--s 00000000 08:02 528374                    
> /var/cache/fontconfig/f6b893a7224233d96cb72fd88691c0b4-x86-64.cache-2
> 7f0af3bd4000-7f0af3c30000 r--s 00000000 08:02 528375                    
> /var/cache/fontconfig/17090aa38d5c6f09fb8c5c354938f1d7-x86-64.cache-2
> 7f0af3c30000-7f0af3c8c000 r--s 00000000 08:02 528373                    
> /var/cache/fontconfig/df311e82a1a24c41a75c2c930223552e-x86-64.cache-2
> 7f0af3c8c000-7f0af3c8f000 r-xp 00000000 08:02 1070253                   
> /usr/lib64/libglade/2.0/libbonobo.so
> 7f0af3c8f000-7f0af3e8e000 ---p 00003000 08:02 1070253                   
> /usr/lib64/libglade/2.0/libbonobo.so
> 7f0af3e8e000-7f0af3e8f000 r--p 00002000 08:02 1070253                   
> /usr/lib64/libglade/2.0/libbonobo.so
> 7f0af3e8f000-7f0af3e90000 rw-p 00003000 08:02 1070253                   
> /usr/lib64/libglade/2.0/libbonobo.so
> 7f0af3e90000-7f0af3e97000 r-xp 00000000 08:02 1072333                   
> /usr/lib64/libglade/2.0/libgnome.so
> 7f0af3e97000-7f0af4097000 ---p 00007000 08:02 1072333                   
> /usr/lib64/libglade/2.0/libgnome.so
> 7f0af4097000-7f0af4099000 r--p 00007000 08:02 1072333                   
> /usr/lib64/libglade/2.0/libgnome.so
> 7f0af4099000-7f0af409a000 rw-p 00009000 08:02 1072333                   
> /usr/lib64/libglade/2.0/libgnome.so
> 7f0af409a000-7f0af409c000 r-xp 00000000 08:02 737699                    
> /usr/lib64/gconv/ISO8859-1.so
> 7f0af409c000-7f0af429b000 ---p 00002000 08:02 737699                    
> /usr/lib64/gconv/ISO8859-1.so
> 7f0af429b000-7f0af429c000 r--p 00001000 08:02 737699                    
> /usr/lib64/gconv/ISO8859-1.so
> 7f0af429c000-7f0af429d000 rw-p 00002000 08:02 737699                    
> /usr/lib64/gconv/ISO8859-1.so
> 7f0af429d000-7f0af429e000 ---p 7f0af429d000 00:00 0 
> 7f0af429e000-7f0af4a9e000 rwxp 7f0af429e000 00:00 0 
> 7f0af4a9e000-7f0af4aa7000 r-xp 00000000 08:02 211125                    
> /usr/lib64/libltdl.so.7.2.0
> 7f0af4aa7000-7f0af4ca6000 ---p 00009000 08:02 211125                    
> /usr/lib64/libltdl.so.7.2.0
> 7f0af4ca6000-7f0af4ca7000 r--p 00008000 08:02 211125                    
> /usr/lib64/libltdl.so.7.2.0
> 7f0af4ca7000-7f0af4ca8000 rw-p 00009000 08:02 211125                    
> /usr/lib64/libltdl.so.7.2.0
> 7f0af4ca8000-7f0af4cad000 r-xp 00000000 08:02 528548                    
> /usr/lib64/libogg.so.0.5.3
> 7f0af4cad000-7f0af4eac000 ---p 00005000 08:02 528548                    
> /usr/lib64/libogg.so.0.5.3
> 7f0af4eac000-7f0af4ead000 r--p 00004000 08:02 528548                    
> /usr/lib64/libogg.so.0.5.3
> 7f0af4ead000-7f0af4eae000 rw-p 00005000 08:02 528548                    
> /usr/lib64/libogg.so.0.5.3
> 7f0af4eae000-7f0af4ed5000 r-xp 00000000 08:02 211813
> 
> 
> $ emerge --info
> Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.3.3,
> glibc-2.9_p20081201-r1, 2.6.28-gentoo-r1 x86_64)
> =================================================================
> System uname:
> Linux-2.6.28-gentoo-r1-x86_64-AMD_Turion-tm-_64_X2_Mobile_Technology_TL-52-with-glibc2.2.5
> Timestamp of tree: Sun, 15 Feb 2009 01:45:02 +0000
> ccache version 2.4 [enabled]
> app-shells/bash:     3.2_p48-r1
> dev-java/java-config: 2.1.7
> dev-lang/python:     2.5.4-r2
> dev-util/ccache:     2.4-r8
> dev-util/cmake:      2.6.2-r1
> sys-apps/baselayout: 2.0.0
> sys-apps/openrc:     0.4.3-r1
> sys-apps/sandbox:    1.3.7
> sys-devel/autoconf:  2.13, 2.63
> sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
> sys-devel/binutils:  2.19.1
> sys-devel/gcc-config: 1.4.1
> sys-devel/libtool:   2.2.6a
> virtual/os-headers:  2.6.28-r1
> ACCEPT_KEYWORDS="amd64 ~amd64"
> CBUILD="x86_64-pc-linux-gnu"
> CFLAGS="-O2 -march=k8 -pipe"
> CHOST="x86_64-pc-linux-gnu"
> CONFIG_PROTECT="/etc"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
> /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release
> /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
> /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo
> /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d
> /etc/texmf/web2c /etc/udev/rules.d"
> CXXFLAGS="-O2 -march=k8 -pipe"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="ccache distlocks fixpackages metadata-transfer parallel-fetch
> protect-owned sandbox sfperms strict unmerge-orphans userfetch"
> GENTOO_MIRRORS="ftp://ftp.las.ic.unicamp.br/pub/gentoo/
> ftp://mirrors.localhost.net.ar/pub/mirrors/gentoo"
> LANG="pt_BR.UTF-8"
> LC_ALL="pt_BR.UTF-8"
> LDFLAGS="-Wl,-O1"
> LINGUAS="pt_BR pt"
> MAKEOPTS="-j4"
> PKGDIR="/usr/portage/packages"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
> --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
> --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/dev/shm"
> PORTDIR="/usr/portage"
> PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
> SYNC="rsync://rsync.samerica.gentoo.org/gentoo-portage"
> USE="3dnow X a52 aac aalib acl acpi alsa amd64 apache2 audiofile avahi
> bash-completion berkdb bzip2 cairo cddb cdparanoia cdr cli cracklib crypt css
> cups dbus djvu dri dv dvd dvdr dvdread eds emboss encode evo exif fam ffmpeg
> flac fontconfig foomaticdb fortran gd gdbm gif gnome gnome-keyring gphoto2 gpm
> gstreamer gtk guile gzip hal hddtemp iconv icq ieee1394 imagemagick imlib ipv6
> isdnlog java javascript joystick jpeg jpeg2k kerberos lame lcms ldap libnotify
> libsamplerate lm_sensors lzo mad midi mikmod mime mmx mng mp3 mpeg mplayer msn
> mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg openal openexr
> opengl openmp pam pcmcia pcre pdf perl php png ppds pppd python qt3support
> quicktime rdesktop readline realmedia reflection samba sdl session smp sndfile
> speex spell spl sse sse2 ssl startup-notification svg sysfs tcpd theora threads
> tiff truetype unicode usb v4l v4l2 vcd vnc vorbis wavpack wifi wmf wxwindows
> x264 xcb xcomposite xft xinerama xml xorg xpm xulrunner xv xvid zeroconf zlib"
> ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x
> ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3
> trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw
> asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa
> lfloat linear meter mmap_emul mulaw multi null plug rate route share shm
> softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon
> authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile
> authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate
> dir disk_cache env expires ext_filter file_cache filter headers include info
> log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling
> status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2 sony_dscf1
> sony_dscf55" ELIBC="glibc" INPUT_DEVICES="synaptics keyboard mouse joystick
> evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216
> lcdm001 mtxorb ncurses text" LINGUAS="pt_BR pt" USERLAND="GNU"
> VIDEO_CARDS="vesa nvidia"
> Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK,
> PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
> 

Comment 8 Jeremy 2009-02-24 20:40:41 UTC
emerge --info

Portage 2.2_rc23 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r2-x86_64-AMD_Sempron-tm-_Processor_3000+-with-glibc2.2.5
Timestamp of tree: Tue, 24 Feb 2009 19:30:01 +0000
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.8
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -fno-ident -msse3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-a
ctive/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -fno-ident -msse3 -pipe -fno-enforce-eh-specs"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="en_US.UTF-8"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --
exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 artworkextra avi bash-completion berkdb bluetooth branding bzip2 cairo cdparanoia cdr cli cracklib crypt 
cups dbus dio directfb divx dv dvd dvdr dvdread emboss encode evo fam fbcon ffmpeg firefox flac fortran ftp gdbm gif glibc-omitfp glut gnome gpm gstreamer 
gtk gtk2 gtstreamer hal iconv ieee1394 ipv6 isdnlog ithreads java javascript jpeg kdeenablefinal kdehiddenvisibility kerberos ldap libnotify lm_sensors mad
 madwifi midi mikmod mmx mmxext mng mp3 mpeg mudflap multilib ncurses nfs nls nptl nptlonly nsplugin offensive ogg openal opengl openmp oss pam pcmcia pcre
 pdf perl php png pni ppds pppd python qt3support quicktime readline reflection samba sdl session smp spell spl sse sse2 ssl startup-notification svg symli
nk sysfs tcpd threads tiff truetype twinview unicode usb videos vorbis wifi xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp at
iixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem y
mfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi nu
ll plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd  authn_dbm authn_default authn_file authz_
dbm authz_default authz_groupfile  authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd  deflate dir disk_cache env expires ext_filter
 file_cache filter headers ident  imagemap include info log_config logio mem_cache mime mime_magic negotiation  proxy proxy_ajp proxy_balancer proxy_connec
t proxy_http rewrite setenvif  speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard evdev mo
use synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US.UTF-8" USERLAND="GNU" VIDE
O_CARDS="nv nvidia vmware"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 9 Steve Arnold gentoo-dev 2009-03-18 00:06:02 UTC
Any action on this one?  I can confirm it on amd64 and x86 (don't have anything new enough on other arches) with kernel 2.6.28.7 and 2.6.26.3 (vanilla).
Comment 10 Steve Arnold gentoo-dev 2009-03-18 01:17:59 UTC
Although I'm not using a "hardened" profile on this machine, I kind of figured this was a toolchain issue, and some of the other bugs I've found so far seem to point that way.  I'd bet there are one or more gcc options to disable the buffer checking, rather than just enabling debug.

However, I would expect the real fix to be an upstream patch on the Gnome side; Googling reveals similar issues with other packages, but nothing that looks like an official Gnome bug yet.  Has anyone thought about filing a bug upstream? 
Comment 11 Sascha Hlusiak 2009-04-16 15:06:45 UTC
patches/020_all_check-lpadmin-member.patch seems to be wrong. Please change the line
  numgrp = getgroups( sizeof( groups ), groups );

to
  numgrp = getgroups( sizeof( groups ) / sizeof( gid_t ), groups );

and see if it works. Worked for me so far.
Comment 12 Sascha Hlusiak 2009-04-16 15:07:20 UTC
Created attachment 188585 [details, diff]
updated 020_all_check-lpadmin-member.patch
Comment 13 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-04-25 15:03:02 UTC
Fixed in 0.33-r1.  Thanks for finding this.